#include <stdio.h>

int main() {
    int num,i;
    scanf("%d", &num);

    for (i = 2; i <= num; i++) {
        while (num % i == 0) {
            printf("%d ", i);
            num /= i;
        }
    }

    return 0;
}
